session_name
session_register
Session Functions
PHP Manual

# session_regenerate_id

(PHP 4 >= 4.3.2, PHP 5)

session_regenerate_id — Update the current session id with a newly generated one

### Description

bool session_regenerate_id ([ bool `$delete_old_session` = false ] )

session_regenerate_id() will replace the current session id with a new one, and keep the current session information.

### Parameters

`delete_old_session`

  Whether to delete the old associated session file or not.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Changelog

Version | Description
--- | ---
4.3.3 | Since then, if session cookies are enabled, use of session_regenerate_id() will also submit a new session cookie with the new session id.
5.1.0 | Added the `delete_old_session` parameter.

### Examples

Example #1 A session_regenerate_id() example

`<?php
session_start();
$old_sessionid = session_id();
session_regenerate_id();
$new_sessionid = session_id();
echo "Old Session: $old_sessionid<br />";
echo "New Session: $new_sessionid<br />";
print_r($_SESSION);
?>`

### See Also

- session_id() - Get and/or set the current session id
- session_start() - Initialize session data
- session_name() - Get and/or set the current session name

session_name
session_register
Session Functions
PHP Manual